Page MenuHomePhabricator

Pressing ENTER on editbox should not submit the search form
Open, NormalPublic

Description

Now that the bug 24566 was fixed by gerrit change 17654, a new bug became visible: "for some reason, if I open the search and replace dialog, find something and then I click on the edit box and press ENTER it submit the search dialog instead of adding a new line."


Version: unspecified
Severity: normal

Details

Reference
bz39357

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:49 AM
bzimport added projects: WikiEditor, JavaScript.
bzimport set Reference to bz39357.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Aug 14 2012, 11:29 PM
TheDJ added a comment.Aug 15 2012, 8:23 PM

logical:

$( textbox )
      .bind( 'keypress.srdialog', function ( e ) {
              if ( e.which == 13 ) {
                      // Enter
                      var button = dialog.data( 'dialogaction' ) || dialog.find( 'button:first' );
                      button.click();
                      e.preventDefault();
              } else if ( e.which == 27 ) {
                      // Escape
                      $(that).dialog( 'close' );
              }
      });

Now to solve it...

probably better to this with exact match.

Change 19942 abandoned by TheDJ:
Enter in editbox should not submit Search dialog

https://gerrit.wikimedia.org/r/19942

TheDJ added a comment.Jul 1 2013, 1:42 PM

Change abandoned after 11 months.

(In reply to comment #5)

Change abandoned after 11 months.

For which reason? No answer on your last commit in Gerrit and frustration, or are there actually technical reasons?

TheDJ added a comment.Apr 7 2014, 4:31 PM

ehm, probably :)

Vishwaak claimed this task.Nov 7 2018, 7:04 AM
Vishwaak added a subscriber: Vishwaak.

can i work on this?

Aklapper removed Vishwaak as the assignee of this task.Dec 15 2018, 4:28 PM

@Vishwaak: I am resetting the assignee of this task because there has not been progress lately (please correct me if I am wrong!). Resetting the assignee avoids the impression that somebody is already working on this task. It also allows others to potentially work towards fixing this task. Please claim this task again when you plan to work on it (via Add Action...Assign / Claim in the dropdown menu) - it would be welcome! Thanks for your understanding!